SELF_DIR := $(abspath $(dir $(lastword $(MAKEFILE_LIST))))
REL_DIR := $(patsubst %/,%,$(dir $(lastword $(MAKEFILE_LIST))))
ifeq ($(MKDBG), 1)
$(info >>> $(REL_DIR)/component.mk)
endif
#$(eval C_SOURCES += $(wildcard $(REL_DIR)/*.c))
$(eval COMMON_INCLUDES += -I$(REL_DIR))
ifeq ($(MKDBG), 1)
 $(info $$C_SOURCES is [${C_SOURCES}])
 $(info )
 $(info $$CXX_SOURCES is [${CXX_SOURCES}])
 $(info )
 $(info $$COMMON_DEFS is [${COMMON_DEFS}])
 $(info )
 $(info $$C_DEFS is [${C_DEFS}])
 $(info )
 $(info $$CXX_DEFS is [${CXX_DEFS}])
 $(info )
 $(info $$COMMON_INCLUDES is [${COMMON_INCLUDES}])
 $(info )
 $(info $$C_INCLUDES is [${C_INCLUDES}])
 $(info )
 $(info $$CXX_INCLUDES is [${CXX_INCLUDES}])
 $(info )
 $(info $$CFLAGS is [${CFLAGS}])
 $(info )
 $(info $$CXXFLAGS is [${CXXFLAGS}])
$(info <<<)
endif
